CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM Installation (http://www.cfd-online.com/Forums/openfoam-installation/)
-   -   1 critical error GCC Conflicting installations (http://www.cfd-online.com/Forums/openfoam-installation/57654-1-critical-error-gcc-conflicting-installations.html)

atzaru March 21, 2005 12:01

Hello I am new in using Op
 
Hello

I am new in using OpenFoam and I have some problems in installing it.

I downloaded all the packs from the download area (http://www.opencfd.co.uk/openfoam/linux.html). I followed the install info and when I do the final test I obtain 1 critical error. I am sure is because I did not installed well the gcc or I did not made well the settings for it. If somebody have the time to write down how i can correct the problem (how do I change the settings for the gcc, or how to install the gcc in a specific folder) I will be very grateful.



Many Thanks

Atzaru



Here is the test file:


Checking basic setup...
-------------------------------------------------------------------------------
Shell: bash
Host: vuia
OS: Linux version 2.6.8-24.11-default
User: amagda


User_config: /home/amagda/.bashrc
Foam_config: /home/amagda/.OpenFOAM-1.1/bashrc sourced correctly.
-------------------------------------------------------------------------------


Checking main FOAM env variables...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Crit
-------------------------------------------------------------------------------
$WM_PROJECT_INST_DIR /home/amagda/OpenFOAM yes yes
$WM_PROJECT_USER_DIR /home/amagda/OpenFOAM/amagda-1.1 yes no
$FOAM_JOB_DIR /home/amagda/OpenFOAM/jobControl no yes
-------------------------------------------------------------------------------


Checking the FOAM env variables set on the PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
-------------------------------------------------------------------------------
$WM_PROJECT_DIR /home/amagda/OpenFOAM/OpenFOAM-1.1 yes yes yes

$FOAM_USER_APPBIN ...amagda-1.1/applications/bin/linuxOpt yes yes no
$FOAM_APPBIN ...enFOAM-1.1/applications/bin/linuxOpt yes yes yes
$WM_DIR /home/amagda/OpenFOAM/OpenFOAM-1.1/wmake yes yes yes
$FOAMX_PATH ...ations/utilities/preProcessing/FoamX yes no yes
$CEI_HOME /usr/local/ensight/CEI no no

$JAVA_PATH .../amagda/OpenFOAM/linux/j2sdk1.4.2_05 no no
$MICO_ARCH_PATH ...1/src/mico-2.3.11/platforms/linuxOpt yes yes yes
$LAM_ARCH_PATH ...1.1/src/lam-7.1.1/platforms/linuxOpt yes yes yes
$MPICH_ARCH_PATH --------- env variable not set --------- no
-------------------------------------------------------------------------------


Checking the FOAM env variables set on the LD_LIBRARY_PATH...
-------------------------------------------------------------------------------
Environment_variable Set_to_file_or_directory Valid Path Crit
------------------------------------------

-------------------------------------
$FOAM_LIBBIN ...a/OpenFOAM/OpenFOAM-1.1/lib/linuxOpt yes yes yes
$FOAM_USER_LIBBIN ...gda/OpenFOAM/amagda-1.1/lib/linuxOpt yes yes no
$LAM_ARCH_PATH ...1.1/src/lam-7.1.1/platforms/linuxOpt yes yes yes
-------------------------------------------------------------------------------


Software versions
-------------------------------------------------------------------------------
Software Version Location
-------------------------------------------------------------------------------
gcc 3.4.3
WARNING: Conflicting installations:
foam settings: /home/amagda/OpenFOAM/linux/gcc-3.4.3/bin/gcc
current path : /usr/local/bin/gcc
CRITICAL ERROR

java 1.4.2_06
WARNING: Conflicting installations:
foam settings: /home/amagda/OpenFOAM/linux/j2sdk1.4.2_05/bin/java
current path : /usr/bin/java

gzip 1.3.5 /usr/bin/gzip
tar 1.3.5 /bin/tar
icoFoam ...penFOAM/OpenFOAM-1.1/applications/bin/linuxOpt/icoFoam
-------------------------------------------------------------------------------


Checking file/directory permissions...
-------------------------------------------------------------------------------
File/directory Set Reqd Crit
-------------------------------------------------------------------------------


Checking networking...
-------------------------------------------------------------------------------
Action Result Crit
-------------------------------------------------------------------------------
Pinging_vuia Successful yes
Pinging_localHost Successful yes
Test_rsh: Unsuccessful_connection_refused* yes
Test_ssh: Successful yes
(*) Only one of rsh or ssh is required by the Foam enviroment.

-------------------------------------------------------------------------------

Base configuration ok.

The foam installation contains 1 critical error(s).

Review the output for warning messages and consult
the installation guide for trouble shooting.

mattijs March 21, 2005 12:14

OpenFOAM expects the gcc 3.4.3
 
OpenFOAM expects the gcc 3.4.3 to be present in /home/amagda/OpenFOAM/linux/gcc-3.4.3/

It seems there is none there so you're picking up the default one (" current path : /usr/local/bin/gcc ") which will work only if it is the 3.4.3 version (type gcc -v)

Mattijs

atzaru March 21, 2005 12:22

Thanks Mattijs, i tried gc
 
Thanks Mattijs,

i tried gcc -v and the file gcc 3.4.3 seems to be installed. "gcc version 3.4.3". I will try to unpack again the gcc pack i downloaded from the webpage in /home/amagda/OpenFOAM/linux/gcc-3.4.3/

if any other suggestion please let me know

many thanks

Atzaru

atzaru March 21, 2005 12:39

You are right. Thanks a lot. I
 
You are right. Thanks a lot. I did not unpack in the right place my file. Wish you luck with the project.

Thanks
Atzaru

seang April 23, 2006 11:37

hi, I met with a compilatio
 
hi,

I met with a compilation error with version 1.3 while trying to do "wmake libso OpenFOAM" in the src directory. The complaint was about not being able to find demangle.h. I am using gcc as installed in

~/OpenFOAM/linuxAMD64/gcc-4.1.0/

Thanks.

Tek Seang

mbeaudoin April 23, 2006 13:45

Hi Tek, Search the OpenFOAM
 
Hi Tek,

Search the OpenFOAM Message Board for "demangle.h".

Plenty of information on that subject already available.

Martin

seang April 23, 2006 13:50

okies, thanks ... didn't have
 
okies, thanks ... didn't have this problem with previous versions, so kinda weird.


All times are GMT -4. The time now is 07:51.